--- old/usr/src/uts/sun4u/cpu/opl_olympus_copy.s	Thu Nov 14 19:00:39 2019
+++ new/usr/src/uts/sun4u/cpu/opl_olympus_copy.s	Thu Nov 14 19:00:39 2019
@@ -33,9 +33,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 /*
  * Pseudo-code to aid in understanding the control flow of the
@@ -586,7 +584,6 @@
  * of the copy code to membar #Sync immediately after copy is complete
  * and before using the BLD_*_FROMSTACK macro.
  */
-#if !defined(lint)
 #define BST_FPQ1Q3_TOSTACK(tmp1)				\
 	/* membar #Sync	*/					;\
 	add	%fp, STACK_BIAS - SAVED_FPREGS_ADJUST, tmp1	;\
@@ -622,7 +619,6 @@
 	add	tmp1, VIS_BLOCKSIZE, tmp1			;\
 	ldda	[tmp1]ASI_BLK_P, %f48				;\
 	membar	#Sync
-#endif
 
 /*
  * FP_NOMIGRATE and FP_ALLOWMIGRATE.  Prevent migration (or, stronger,
@@ -692,15 +688,6 @@
  * Returns errno value on pagefault error, 0 if all ok
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -868,7 +855,6 @@
 	  mov	%g0, %o0			!
 
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
@@ -879,15 +865,7 @@
  * Copy a page of memory.
  * Assumes double word alignment and a count >= 256.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -1444,21 +1422,10 @@
 
 	SET_SIZE(bcopy_more)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -1502,9 +1469,7 @@
 
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
 
-
 /*
  * hwblkpagecopy()
  *
@@ -1512,12 +1477,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.  Preventing preemption also prevents cpu migration.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	! get another window w/space for three aligned blocks of saved fpregs
 	prefetch [%o0], #n_reads
@@ -1635,7 +1594,6 @@
 	  restore	%g0, 0, %o0
 
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -1694,10 +1652,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-
-#else	/* lint */
 /*
  * We save the arguments in the following registers in case of a fault:
  *	kaddr - %l1
@@ -1764,17 +1718,6 @@
 	SET_SIZE(copyio_fault)
 
 
-#endif
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyout)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -2390,18 +2333,7 @@
 
 	SET_SIZE(copyout_more)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .xcopyout_small		! go to larger cases
@@ -2506,17 +2438,6 @@
 
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -2547,21 +2468,10 @@
 
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
 	bleu,pt	%ncc, .copyin_small		! go to larger cases
@@ -3168,17 +3078,6 @@
 
 	SET_SIZE(copyin_more)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3284,17 +3183,6 @@
 
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.xcopyio_err), %o5
 	or	%o5, %lo(.xcopyio_err), %o5
@@ -3331,21 +3219,11 @@
 
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyin_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3429,7 +3307,6 @@
 	  nop
 
 	SET_SIZE(copyin_noerr)
-#endif /* lint */
 
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
@@ -3436,14 +3313,6 @@
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
 	ENTRY(copyout_noerr)
 
 	cmp	%o2, VIS_COPY_THRESHOLD		! check for leaf rtn case
@@ -3517,7 +3386,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 
 	SET_SIZE(copyout_noerr)
-#endif /* lint */
 
 
 /*
@@ -3528,14 +3396,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 	! %l0 - saved fprs
@@ -3636,14 +3496,7 @@
 	  restore	%g0, 0, %o0		! return (bzero or not)
 
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef lint
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else /*!lint */
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -3676,19 +3529,6 @@
 
 	SET_SIZE(hw_pa_bcopy32)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_bzero = 1;
-uint_t hw_copy_limit_1 = 0;
-uint_t hw_copy_limit_2 = 0;
-uint_t hw_copy_limit_4 = 0;
-uint_t hw_copy_limit_8 = 0;
-
-#else /* !lint */
-
 	DGDEF(use_hw_bcopy)
 	.word	1
 	DGDEF(use_hw_bzero)
@@ -3704,4 +3544,3 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
